Bug 491469 - backup set name not slashified in crontab
backup set name not slashified in crontab
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-21 09:27 EDT by bruce
Modified: 2009-04-09 12:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.43.3-0.1.rc1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:08:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bruce 2009-03-21 09:27:17 EDT
Description of problem:
Backup set names with (eg) ' (a single quote) in the
name is not slashified when creating the crontab entry.

Version-Release number of selected component (if applicable):
1.43.2-3

How reproducible:


Steps to Reproduce:
1. Create a Backup set named "Bruce's Home Directory"
2. wait for mail from crontab
3.
  
Actual results:
0 5 * * * fwbackups-run -l 'Bruce's Home Directory'

Expected results:

0 5 * * * fwbackups-run -l 'Bruce\'s Home Directory'

Additional info:
When I renamed the Backup Set, it added a new
crontab entry, but did not remove the bad one.
It also did not rename the existing backups.
Comment 1 Stewart Adam 2009-03-22 18:02:20 EDT
Thanks for the report. I've fixed this locally, I'm going to update the Fedora RPMs to 1.43.3rc1 which will include this fix soon.
Comment 2 Fedora Update System 2009-03-23 00:10:23 EDT
fwbackups-1.43.3-0.1.rc1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.1.rc1.fc9
Comment 3 Fedora Update System 2009-03-23 11:55:05 EDT
fwbackups-1.43.3-0.1.rc1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2936
Comment 4 Fedora Update System 2009-03-23 12:00:17 EDT
fwbackups-1.43.3-0.1.rc1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2972
Comment 5 Fedora Update System 2009-04-09 12:08:15 EDT
fwbackups-1.43.3-0.1.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-09 12:10:25 EDT
fwbackups-1.43.3-0.1.rc1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.